Subject: bug#17916: 24.4.50; `write-region' doc for numeric APPEND arg

From: Eli Zaretskii <[email-masked]>
Date: Thu, 03 Jul 2014 19:39:49 +0300

> Date: Thu, 3 Jul 2014 09:14:07 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> 
>   If APPEND is a number, `write-region' seeks to that byte offset from
>   the start of the file and writes the data from there.
> 
> Because of the word "seek", this will be clear to some programmers, but
> it might not be clear to others.  We should make clear that
> `write-region' overwrites existing bytes in the file; it does not insert
> the region text at the given position.

This assumes not only that the reader knows about 'seek', it also
assumes that she has general knowledge about writing to files: there
is no "inserting" stuff in the middle of a file.  When you write, you
always overwrite whatever is there.  Isn't that common knowledge?